List campaigns
GET
/campaigns
const url = 'https://app.whatsetter.com/api/v1/campaigns';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.whatsetter.com/api/v1/campaigns \ --header 'Authorization: Bearer <token>'The workspace’s campaigns: use campaign_id to filter /leads and
/conversations, and whatsapp_connected to know whether the
campaign’s number can currently send. Requires scope campaigns:read.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The workspace’s campaigns
Media typeapplication/json
object
data
Array<object>
object
id
string
campaign_id
The value used by /leads?campaign_id= and lead objects.
string | null
name
string | null
status
string | null
purpose
Setter or group
string | null
whatsapp_connected
boolean
created_at
string format: date-time
Examplegenerated
{ "data": [ { "id": "example", "campaign_id": "example", "name": "example", "status": "example", "purpose": "example", "whatsapp_connected": true, "created_at": "2026-04-15T12:00:00Z" } ]}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}The key lacks the required scope
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
